# AWS CDK Secure Modules by opshero.io

## Overview
The **AWS CDK Secure Modules** monorepo by **OpsHero Technologies LLC** provides **prebuilt, security-focused AWS CDK constructs** to help teams deploy **compliant, secure cloud infrastructure** with minimal effort.  

✅ **SOC 2 / NIST / CIS Benchmark Compliance**  
✅ **Best Practices for IAM, Logging, and Security**  
✅ **Reusable AWS CDK Constructs for DevOps & Security Teams**  
✅ **Supports AWS CDK v2 (Python 3.12+)**  

---

## 🔹 **Available CDK Constructs**
| **Construct Name**  | **Description** |
|---------------------|----------------|
| **Secure S3 Bucket**  | Encrypted, SOC 2-compliant S3 bucket |
| **IAM Role Manager**  | Automates secure IAM role creation & policy enforcement |
| **SOC2 CloudTrail**   | Deploys a fully compliant CloudTrail setup |
| **GuardDuty Auto-Remediation** | Automates GuardDuty security alerts remediation |

---

## 🔹 **Installation**
Install from PyPI:
```bash
pip install aws-cdk-secure-modules


